# Generated from splot-0.5.6.gem by gem2rpm -*- rpm-spec -*-
%global gem_name splot

Name: rubygem-%{gem_name}
Version: 0.5.6
Release: 1%{?dist}
Summary: Run any test from any file from any project :)
License: MIT
URL: https://github.com/ntl/splot
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(minitest)
# BuildRequires: rubygem(cucumber)
# BuildRequires: rubygem(activesupport)
BuildArch: noarch

%description
Run any test from any file from any project. When using Test::Unit, specify an
individual test by line number the way you can in rspec. Easily integrate "run
the tests corresponding to this file" in your editor.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# cucumber
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/splot
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/tmp
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/splot.gemspec
%{gem_instdir}/test

%changelog
* Wed Sep 15 2021 mockbuilder - 0.5.6-1
- Initial package
